From d9c4967662f09f68d8891d1056d78c612989b031 Mon Sep 17 00:00:00 2001
From: Dilip Kumar <dilip.kumar@enterprisedb.com>
Date: Tue, 24 Mar 2020 18:23:06 +0530
Subject: [PATCH] Remove TODO comments for fast-path

Experiments shows that there is no performance gain by adding the
fast-path for the transactions which has no sub-transactions.  So TODO
is removed.
---
 src/backend/replication/logical/reorderbuffer.c | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index 481277a..4594cf9 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -1037,11 +1037,6 @@ ReorderBufferIterTXNInit(ReorderBuffer *rb, ReorderBufferTXN *txn,
 			nr_txns++;
 	}
 
-	/*
-	 * TODO: Consider adding fastpath for the rather common nr_txns=1 case, no
-	 * need to allocate/build a heap then.
-	 */
-
 	/* allocate iteration state */
 	state = (ReorderBufferIterTXNState *)
 		MemoryContextAllocZero(rb->context,
-- 
1.8.3.1

